package cz.moneta.test.dsl.ufo.banka.pages.fon;

import cz.moneta.test.dsl.ufo.banka.pages.cards.debit.MBC005_S001_IdCardDataPage;
import cz.moneta.test.dsl.ufo.banka.pages.fop.CIF070_S001_IdentificationDataPage;
import cz.moneta.test.dsl.ufo.banka.pages.income.FIN001_S001_FinancialIncomeSummaryPage;
import cz.moneta.test.dsl.ufo.banka.pages.po.ZAS001_S001_StatutoryAuthorityPage;
import cz.moneta.test.harness.support.web.*;

public interface DMS070_S001_ScanDocumentsPageTransitions extends WebFlow<DMS070_S001_ScanDocumentsPageTransitions> {

    CIF070_S001_IdentificationDataPage onIdentificationDataPage();

    MBC005_S001_IdCardDataPage onIdCardDataPage();

    SZR004_S001_PersonIdentificationInFundamentalRegisters onPersonIdentificationInFundamentaRegisters();

    ZAS001_S001_StatutoryAuthorityPage onStatutoryAuthorityPage();

    FIN001_S001_FinancialIncomeSummaryPage onFinancialIncomeSummaryPage();

}
